Get access grant by token
curl --request GET \
--url https://api.vantage.sh/v2/access_grants/{access_grant_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/access_grants/{access_grant_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/access_grants/{access_grant_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "rsrc_accss_grnt_07ed83a5069b91c4",
"resource_token": "rprt_b8df14aa8a4ad5c7",
"access": "denied",
"team_token": "team_14bd13a8bccb8406",
"created_at": "2024-01-18T17:39:36Z",
"created_by": "usr_0e1cb254743b26cb"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}AccessGrants
Get access grant by token
Return a specific Access Grant.
GET
/
access_grants
/
{access_grant_token}
Get access grant by token
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
AccessGrant model
The token for any resource the AccessGrant is applied to.
Example:
"rprt_abcd1234"
The access status of the AccessGrant.
The Team token for which an AccessGrant is applied to.
The date and time, in UTC, the AccessGrant was created. ISO 8601 Formatted.
Example:
"2023-08-04T00:00:00Z"
The token for the User who created the AccessGrant.